From 99fb9058bb0b6a6323da6811926547ef5f3882e4 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Thu, 16 Jul 2015 21:54:23 +0200
Subject: [PATCH 02/12] Add --disable-logger

Add option to explicitly disable build of logger.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index b348faa..9940d8c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1318,7 +1318,11 @@ AS_IF([test "x$build_mkswap" = xyes -a "x$build_libuuid" != xyes], [
 UL_BUILD_INIT([cal], [yes])
 AM_CONDITIONAL([BUILD_CAL], [test "x$build_cal" = xyes])
 
-UL_BUILD_INIT([logger], [yes])
+AC_ARG_ENABLE([logger],
+  AS_HELP_STRING([--disable-logger], [do not build logger(1)]),
+  [], [UL_DEFAULT_ENABLE([logger], [yes])]
+)
+UL_BUILD_INIT([logger])
 AM_CONDITIONAL([BUILD_LOGGER], [test "x$build_logger" = xyes])
 
 UL_BUILD_INIT([look], [yes])
-- 
2.4.5

